Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.jsb
Interface ServiceBeanFactory

All Known Implementing Classes:
  BeanFactory, JSBLoader, SpringBeanFactory

    public interface ServiceBeanFactory

The ServiceBeanFactory defines the semantics to create a service instance. Implementations of this interface are responsible for the creation of a service implementation and the proxy used to communicate to the created service.

Nested Class Summary
`static class` | `ServiceBeanFactory.Created` Class used as the return value by the `create` method.

Method Summary
`ServiceBeanFactory.Created` | `create(ServiceBeanContext context)` The create method is called to create the service implementation and to create the proxy to communicate with the service.

Method Detail

### create

    ServiceBeanFactory.Created create(ServiceBeanContext context)
                                      throws JSBInstantiationException

  The create method is called to create the service implementation and to create the proxy to communicate with the service. There is no requirement to create a class loader, this method will be called with the context class loader set to the class loader that can be used to load the service. If needed, the class loader can be obtained by access the thread's current context class loader. Additionally:
  - If the service has been configured with any shared resources, they will have been loaded into the common class loader prior to the invocation of this method.
  - If any logger instances have been configured for the service, specific loggers and handlers will have been configued prior to the invocation of this method

  Parameters:
    `context` - The `ServiceBeanContext` describing the service to create
  Returns:
    The Created object
  Throws:
    `JSBInstantiationException` - If there are errors creating the service bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.